package com.memorynotfound.hibernate;

import javax.persistence.*;
import java.util.List;

public class App {

    public static void main (String...args) throws InterruptedException {

        EntityManagerFactory emf = Persistence.createEntityManagerFactory("mnf-pu");
        EntityManager em = emf.createEntityManager();

        em.getTransaction().begin();
        Book book = new Book("Hibernate/JPA Named Native Query Example");
        em.persist(book);
        em.getTransaction().commit();

        List<Book> r1 = em.createNamedQuery("Book.findAll", Book.class).getResultList();
        System.out.println(r1);

        Book r2 = em.createNamedQuery("Book.findById", Book.class)
                .setParameter("id", 1)
                .getSingleResult();
        System.out.println(r2);

        emf.close();
    }
}
